package cn.net.cpzslibs.prot.handset.bean.res;

import java.util.List;

public class Prot20017ResBean {
	private List<Prot20017LabelBean> label_invalid;
	private List<Prot20017LabelBean> label_double_active;
	private List<Prot20017LabelBean> label_not_active;
	private List<Prot20017LabelBean> label_not_package;
	private List<Prot20017LabelBean> label_stock_out;
	
	private int errcode;
  	private String errmsg;
  	private int result = 0;//0：请求成功     1：遇到错误信息，返回错误码 
	public List<Prot20017LabelBean> getLabel_invalid() {
		return label_invalid;
	}
	public void setLabel_invalid(List<Prot20017LabelBean> label_invalid) {
		this.label_invalid = label_invalid;
	}
	public List<Prot20017LabelBean> getLabel_double_active() {
		return label_double_active;
	}
	public void setLabel_double_active(List<Prot20017LabelBean> label_double_active) {
		this.label_double_active = label_double_active;
	}
	public List<Prot20017LabelBean> getLabel_not_active() {
		return label_not_active;
	}
	public void setLabel_not_active(List<Prot20017LabelBean> label_not_active) {
		this.label_not_active = label_not_active;
	}
	public int getErrcode() {
		return errcode;
	}
	public void setErrcode(int errcode) {
		this.errcode = errcode;
	}
	public String getErrmsg() {
		return errmsg;
	}
	public void setErrmsg(String errmsg) {
		this.errmsg = errmsg;
	}
	public int getResult() {
		return result;
	}
	public void setResult(int result) {
		this.result = result;
	}
	public List<Prot20017LabelBean> getLabel_not_package() {
		return label_not_package;
	}
	public void setLabel_not_package(List<Prot20017LabelBean> label_not_package) {
		this.label_not_package = label_not_package;
	}
	public List<Prot20017LabelBean> getLabel_stock_out() {
		return label_stock_out;
	}
	public void setLabel_stock_out(List<Prot20017LabelBean> label_stock_out) {
		this.label_stock_out = label_stock_out;
	}
	@Override
	public String toString() {
		return "Prot20017ResBean [label_invalid=" + label_invalid + ", label_double_active=" + label_double_active
				+ ", label_not_active=" + label_not_active + ", label_not_package=" + label_not_package
				+ ", label_stock_out=" + label_stock_out + ", errcode=" + errcode + ", errmsg=" + errmsg + ", result="
				+ result + "]";
	}
}
